build-training-data-store:
  image: python:3.8.3
  stage: build 
  script:
    - echo "Building model-trainer"
    - pip install -r model-trainer/requirements.txt
  artifacts:
    paths:
      - model-trainer/app/
      - model-trainer/tests/
  only:
    changes:
      - "model-trainer/*"
      - "model-trainer/app/**/*"

test-training-data-store:
  image: python:3.8.3
  stage: test
  script:
    - echo "Testing model-trainer"
    - pip install -r model-trainer/requirements.txt
    - cd model-trainer/app
    - python -m pytest tests
  only:
    changes:
      - "model-trainer/*"
      - "model-trainer/app/**/*"